0

So I'm working with spfx v1.8.2 and I cannot find any options or documentation even to solutions how upgrade or override webpack used by that build tools.

Is there a possibility to do that without any hacks and tricks? (Yes, I know that build tools give possibility to override generated configuration for webpack, but I need to upgrade webpack version)

0

Well, I found solution to that and it is quite simple,

Steps:

  • Remove node_modules and yarn.lock (or respectively package-lock.json).

  • Add to resolutions in package.json, "**/webpack": "<your-version>"

  • Install all dependencies (npm i or yarn install).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.